Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/valgrind /usr/bin/wine
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           snapraid
Summary:        Disk array backup for many large rarely-changed files
Version:        12.3
Release:        alt1_1
# snapraid itself is GPL-3.0-or-later but uses other source codes, breakdown:
# Apache-2.0 AND GPL-3.0-or-later: cmdline/metro.c
# BSD-2-Clause: tommyds/*
# GPL-2.0-or-later: raid/*
# GPL-3.0-or-later AND LicenseRef-Fedora-Public-Domain: cmdline/murmur3.c
# LGPL-2.0-or-later: cmdline/fnmatch.[ch]
License:        GPL-3.0-or-later AND GPL-2.0-or-later AND LGPL-2.0-or-later AND Apache-2.0 AND LicenseRef-Fedora-Public-Domain AND BSD-2-Clause

URL:            https://www.snapraid.it/
Source0:        https://github.com/amadvance/snapraid/releases/download/v%{version}/snapraid-%{version}.tar.gz

BuildRequires:  gcc libblkid-devel
Source44: import.info

%description
SnapRAID is a backup program for disk arrays. It stores parity
information of your data and it's able to recover from up to six disk
failures. SnapRAID is mainly targeted for a home media center, with a
lot of big files that rarely change.

%prep
%setup -q
mv raid/COPYING raid/COPYING-raid

%build
%configure
%make_build

%check
make check

%install
%makeinstall_std

%files
%doc --no-dereference COPYING tommyds/LICENSE raid/COPYING-raid
%doc AUTHORS HISTORY README
%{_bindir}/snapraid
%{_mandir}/man1/snapraid.1*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 12.3-alt1_1
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 12.2-alt1_1
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 11.2-alt1_4
- new version

